import mest.bank.*;
import mest.account.*;
import java.util.*;
import java.io.*;
public class BankLab{
	public static void main(String[] args) throws IOException {
		//this does not work:
		//Account ac = new Account("Godwin","12345", 2000d, 0.015);

		//creating and adding accounts
		Bank bank = new Bank(10);
		DebitAccount debit = 
		new DebitAccount("Bob Spending","12345", 2000d, 0.015, -1000d, 0.4d);
		GregorianCalendar endDate = new GregorianCalendar(2014,9,9);
		FixedDepositAccount fixed = 
		new FixedDepositAccount("Alice Secure", "777777", 200000d, 0.08, endDate);
		endDate = new GregorianCalendar(2012,11,31); 
		FixedDepositAccount anotherFixed = 
		new FixedDepositAccount("Carol Greedy","9988772", 1000d, 0.08, endDate);
		bank.insertAccount(debit);
		bank.insertAccount(fixed);
		bank.insertAccount(anotherFixed);

		// accessing accounts
		bank.getAccount("12345");
		System.out.println();
		bank.getAccount("9988772");
		System.out.println();
		bank.getAccount("777777");
		System.out.println();

		// test advanced sorting accounts method
		System.out.println("Sorting Accounts");
		bank.sortAccounts();
		bank.displayAllAccounts();
		System.out.println();
		
		// creating even more accounts to provoke an error
		for(int i = 0; i<10; i++)	{
			DebitAccount test = new DebitAccount("test",
				""+((i+1)*35763-i*17), ((i+1)*155), 0, 0, 0);
			if(!bank.insertAccount(test)){
				System.out.println("Could not add account");
			}
		}
		// look for account that does not exist
		bank.getAccount("8");

		// number of accounts
		System.out.println();
		System.out.println("Number of accounts in this bank: " 
			+ bank.getNumberOfAccounts());
		System.out.println("Overall number of accounts: " 
			+  Account.getNumberOfAccounts());
		System.out.println();
		

		// sorting accounts
		System.out.println("Sorting Accounts");
		bank.sortAccounts();
		bank.displayAllAccounts();
		System.out.println();

		// test remove
		System.out.println("Removing Accounts");
		bank.deleteAccount("250239");
		System.out.println(bank.deleteAccount("8"));
		bank.displayAllAccounts();
		System.out.println();

		// test menu
		bank.menu();

	}
}