public class AdvancedMethods{
	public static void main(String[] args) {
		
		// call by value
		int number = 17;
		System.out.println(faculty(number));
		System.out.println(number);

		// call by reference
		
		Account falk = new Account("Falk Benke", "1030445670");
		manipulateAccount(falk);
		System.out.println(falk);

		int i1 = 4;
		int i2 = 1;
		System.out.println(max(i1,i2));

		String s1 = "MEST";
		String s2 = "EIT";
		System.out.println(max(s1,s2));		

	}

	static long faculty(long n){
		long result = 1L;
		while (n > 1){
			result = result * n;
			n--;
		}
		return result;
	}

	static void manipulateAccount(Account account){
		account.processTransfer(500);		
	}

	static int max(int a, int b){
		if(a >= b){
			return a;
		}else{
			return b;
		}
	}

	static String max(String a, String b){
		if(a.length()>= b.length()){
			return a;
		}else{
			return b;
		}
	}


	/*
	// this is not going to work
	static boolean max(String a, String b){
		return true;
	}
	*/
}