import java.util.Collection;
import java.util.ArrayList;
import java.util.Iterator;

public class CollectionExample{
	public static void main(String[] args) {
		// Collection is an interface
		// ArrayList is a method implementing the inteface
	
		/* Only methods in Collection interface are available, 
		not additional ones in List interface*/
		Collection fellows = new ArrayList();
		fellows.add("Ben Sholes");
		fellows.add("Nikunj Handa");
		// this will not work:
		// fellows.add(0,"test");
		boolean addFalk = fellows.add("Falk Benke");
		System.out.println(addFalk);
		System.out.println(fellows.size());

		System.out.println();
		fellows.remove("Ben Sholes");
		
		boolean removeBrooke = fellows.remove("Brooke Cassoff");
		System.out.println(removeBrooke);
		System.out.println(fellows.size());

		System.out.println();
		System.out.println(fellows.contains("Falk Benke"));
		System.out.println(fellows.contains("Ben Sholes"));

		fellows.add("Ben Sholes");

		/* creates an iterator object on objects of classes implementing
		the Iterable interface, like ArrayList */
		Iterator iterator = fellows.iterator();
		while(iterator.hasNext()){
			Object object = iterator.next();
			System.out.println(object); //Polymorphism in action!
		}

		// Short syntax to achieve the sames
		for (Object a : fellows){
			System.out.println(a); 
		}

	}
}
