import java.util.LinkedList;
import java.util.Queue;
public class QueueExample{
	public static void main(String[] args) {
		LinkedList ints = new LinkedList();
		for(int i = 15; i > 5; i--){
			ints.add(i);						
		}

		System.out.println("The Queue after adding 15 to 6:");
		for (Object object: ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		ints.remove(); 
		System.out.println("\nThe Queue after applying remove():");
		for (Object object: ints){
			System.out.print(object+" "); 
		}
		System.out.println();
	
		System.out.println("\nSet contains 5: "+ ints.contains(5));
		System.out.println();

		LinkedList anotherInts = new LinkedList();
		anotherInts.add(5);
		anotherInts.add(10);
		anotherInts.add(11);
		ints.addAll(anotherInts);
		
		System.out.println("After addAll() (5,10,11): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();
		
		LinkedList retainInts = new LinkedList();
		retainInts.add(10);
		retainInts.add(6);
		retainInts.add(1);
		retainInts.add(20);
		retainInts.add(7);
		retainInts.add(9);
		ints.retainAll(retainInts);

		System.out.println("\nAfter retainAll() (10,6,1,20,7,9): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		LinkedList removeInts = new LinkedList();
		removeInts.add(10);
		removeInts.add(5);
		removeInts.add(2);
		ints.removeAll(removeInts);

		System.out.println("\nAfter removeAll() (10,5,2): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		int sum = 0;
		for (Object a : ints){
			sum += (int)a; 
		}
		System.out.println("\nSum of Queue Items "+sum);
	}
}