import java.util.HashSet;
public class SetExample{
	public static void main(String[] args) {
		HashSet ints = new HashSet();
		for(int i = 10; i > 0; i--){
			ints.add(i);						
		}

		System.out.println("The Set after adding 10 to 1:");
		for (Object object: ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		ints.remove(6); // removes element 6

		System.out.println("\nThe Set after applying remove(6):");
		for (Object object: ints){
			System.out.print(object+" "); 
		}
		System.out.println();
	
		System.out.println("\nSet contains 5: "+ ints.contains(5));
		System.out.println();

		HashSet anotherInts = new HashSet();
		anotherInts.add(5);
		anotherInts.add(10);
		anotherInts.add(11);
		ints.addAll(anotherInts);
		
		System.out.println("After addAll() (5,10,11): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();
		
		HashSet retainInts = new HashSet();
		retainInts.add(10);
		retainInts.add(6);
		retainInts.add(1);
		retainInts.add(20);
		retainInts.add(7);
		retainInts.add(9);
		ints.retainAll(retainInts);

		System.out.println("\nAfter retainAll() (10,6,1,20,7,9): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		HashSet removeInts = new HashSet();
		removeInts.add(10);
		removeInts.add(5);
		removeInts.add(2);
		ints.removeAll(removeInts);

		System.out.println("\nAfter removeAll() (10,5,2): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		int product = 1;
		for (Object a : ints){
			product *= (int)a; 
		}
		System.out.println("\nProduct of Set Items "+product);
	}
}