import java.util.*;

public class HeapSortingLabModified // by falk
{
	// rethink visibility of your methods, pure helper methods should be private

	public static void main(String[] args) 
	{
		List<Integer> myList = new ArrayList<Integer>();
		
		myList.add(111); 		myList.add(-6);		myList.add(48);
		myList.add(10);         myList.add(32);     myList.add(27);	
		myList.add(12);	        myList.add(18);		myList.add(-99);

				
		System.out.println("\n"+myList);
		System.out.println("\n************* HEAP SORT **************\n");


		//you do not really need these
		//int indexOfLastNode = myList.size()-1;
	    //int searchableLength = myList.size();	

		// this for loop should be part of your heap sort algorithm already!!!

		// the for loop can be simplified
		// for(int i=0;i< indexOfLastNode ;indexOfLastNode--)
		for(int i=myList.size(); i > 0; i--)
		{			 
			//myList = heapSort(myList,searchableLength);
			myList = heapSort(myList,i);			
			//searchableLength--;
			System.out.println("\n"+myList);		
		}

		System.out.println("\n****************************************\n");
		System.out.println(myList);
	}

	// this is not heap sort, but the inner loop of heap sort
	public static List<Integer> heapSort(List<Integer> myList,int searchableLength)
	{
		System.out.println("Start sifting.. ");
		//int factorOfTwo = highestMultipleOfTwo(myList.size());			
		//int parentIndex = highestMultipleOfTwo(myList.size())-2; 
		//you only need the seachable length to calculate the last parent index!!!
		
		// parentIndex can be calculated like this (saves you some methods)
		// explanation: 
		// -1 to get the indicies form 0..list.length-1
		// apart from that you just calculate the parent of the last node in searchable list 
		int parentIndex = (searchableLength-1-1)/2; 

		System.out.println("Last parent index: "+ parentIndex);

		while(parentIndex >= 0)
		{
			int childIndex = ((parentIndex * 2) +1); 

			if(childIndex<= searchableLength-1)
			{

			// indentation!
			compareNodes(parentIndex,childIndex,myList);
			}

			childIndex = (parentIndex * 2)+2; 

			if(childIndex<= searchableLength-1)
			{
			// indentation!
			compareNodes(parentIndex,childIndex,myList);				
			}
			parentIndex--;
		}

		//int indexOfLastNode = searchableLength- 1;
		//int rootNode =  myList.get(0);
		//int lastNode = myList.get(indexOfLastNode);
		//int[] x = exchangeNodes(rootNode,lastNode);

		// all of the above in one line
		int[] x = exchangeNodes(myList.get(0),myList.get(searchableLength-1));

		myList.set(0,x[0]); 
		//myList.set(indexOfLastNode,x[1]);
		myList.set(searchableLength-1,x[1]);
		return myList;
	}


	// this can be simplified
	public static int[] exchangeNodes(int a, int b)
	{
		//int temp = a;
		//a = b;
		//b = temp;
		//int[] c = {a,b};
		int[] c = {b,a};
		return c;
	}

	/* 
	* You make use of call by reference paradigm, which is ok (i guess).
	* I personally would return the modified list myList to explicitly show that you modify 
	* it in this method.
	* Furthermore, there are better names for this method. It does not only compare, but also
	* change the order. So I would call it maybe exchangeNodes. 
	*/
	public static void compareNodes(int parentIndex,int childIndex,List<Integer> myList)
	{
		int parentValue = myList.get(parentIndex);
		int childValue = myList.get(childIndex);		
		if(childValue>parentValue){
			int[] x = exchangeNodes(parentValue,childValue);
			 myList.set(parentIndex,x[0]); 
			 myList.set(childIndex,x[1]);
	 		System.out.println("Exchanged Nodes:"+x[1]+" and "+x[0]+": "+myList);		
		}
	}

	//can be simplified
	/* 
	* maybe also better name / method structuring
	* e.g. write a method findLastParent(int length) that calculates the last parent note 
	* based on length of searchable list
	*/
	public static int highestMultipleOfTwo(int b)
	{
		int c = 1;
		//int max = c;

		while(c <= b)
		{
		  c= c*2;
		  /*if(c<=b)
		  {
		  	max = c;
		  }*/
		}
		return c/2;
		//return max;
	}

}

