package mest.controller;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import java.io.IOException;

import mest.model.DogManager;
import mest.model.Dog;

public class ViewDogServlet extends HttpServlet{

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) 
		throws ServletException, IOException{

		Dog d = DogManager.getDog();
		if (d == null) {
			req.getRequestDispatcher("/WEB-INF/404.html").forward(req, resp);
			return;
		}
		System.out.println(d);

		req.setAttribute("dog", d);
		req.getRequestDispatcher("/WEB-INF/viewDog.jsp").forward(req, resp);
	}
}