package mest.model;

import java.io.Serializable;

public class Dog implements Serializable{

	private String name;
	private String breed;
	private boolean hungry;
	private boolean happy;
	private boolean tired;

	public Dog(String name, String breed, boolean hungry, 
		boolean happy, boolean tired){
		this.name = name;
		this.breed = breed;
		this.hungry = hungry;
		this.happy = happy;
		this.tired = tired;
	}

	public String toString(){
		String dogAsString = "Dog: "+name+"\nBreed: "+breed;
		if (happy){
			dogAsString += "\nhappy, ";
		}else{
			dogAsString += "\nunhappy, ";
		}
		if (hungry){
			dogAsString += "hungry, ";
		}else{
			dogAsString += "full, ";
		}
		if (tired){
			dogAsString += "tired.\n";
		}else{
			dogAsString += "well-rested.\n";
		}
		return dogAsString;
	}

	public String getName() {
	    return this.name;
	}

	public void setName(String name) {
	    this.name = name;
	}

	public String getBreed() {
	    return this.breed;
	}

	public void setBreed(String breed) {
	    this.breed = breed;
	}

	public boolean getHungry() {
	    return this.hungry;
	}

	public void setHungry(boolean hungry) {
	    this.hungry = hungry;
	}

	public boolean getHappy() {
	    return this.happy;
	}

	public void setHappy(boolean happy) {
	    this.happy = happy;
	}

	public boolean getTired() {
	    return this.tired;
	}

	public void setTired(boolean tired) {
	    this.tired = tired;
	}
}