package mest.model;

import mest.model.Dog;
import java.io.FileOutputStream;
import java.io.ObjectOutputStream;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.ObjectInputStream;


public class DogManager{

	public static void addDog(Dog dog){
      try{
         FileOutputStream fileOut = new FileOutputStream("dog.ser");
         ObjectOutputStream out = new ObjectOutputStream(fileOut);
         out.writeObject(dog);
         out.close();
         fileOut.close();        
      }catch(IOException i){
          i.printStackTrace();
      }

    }

    public static Dog getDog(){
        Dog dog = null;
        try{
            FileInputStream fileIn = new FileInputStream("dog.ser");
            ObjectInputStream in = new ObjectInputStream(fileIn);
            dog = (Dog) in.readObject();
            in.close();
            fileIn.close();
        }catch(IOException i){
            i.printStackTrace();
            return null;
        }catch(ClassNotFoundException c){
            System.out.println("Dog class not found");
            c.printStackTrace();
            return null;
        }
        return dog;
    }
}