import java.io.*;

public class FinallyDemo{

	static int[] numbers = {4,3,8,6,1,2,7,0,9,5};
	static final int SIZE = 10;
	public static void main(String[] args) {
		writeList();
	}
	public static void writeList() {
	    PrintWriter out = null;
	    try {
	        out = new PrintWriter(new FileWriter("OutFile.txt"));
	        for (int i = 0; i < SIZE; i++){
	            out.println("Value at: " + i + " = " + numbers[i]);
     		}
	    } catch (ArrayIndexOutOfBoundsException ae) {
	        System.out.println("Caught ArrayIndexOutOfBoundsException: "
	                           +  e.getMessage());                        
	    } catch (IOException io) {
	        System.out.println("Caught IOException: " +  e.getMessage());
	    } finally {
	        if (out != null) {
	            System.out.println("Closing PrintWriter");
	            out.close();
	        } 
	        else {
	            System.out.println("PrintWriter not open");
	        }
	    }
	}
}
