import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;

public class HandlingException{
	public static void main(String[] args){		
		try{
			int number = askForInt("Please enter a number.. ");
			if(number%2 == 0){
				System.out.println("This is an even number");
			}else{
				System.out.println("This is an uneven number");
			}
		}catch(NumberFormatException nfe){
			System.out.println("Handling the exception your own way.. ");
			nfe.printStackTrace();
			System.out.println(nfe);
		}catch(IOException io){
			io.printStackTrace();
			System.out.println(io);
		}
		System.out.println("This will definitely be executed ..");
	}


	static int askForInt(String message) throws NumberFormatException, IOException{
		System.out.println();
		System.out.print(message);

		BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
		
		return Integer.parseInt(input.readLine());
	}
}

