import javax.swing.*;

// I checked it on different inputs and it seems to work. Good job.
// A very simple (but not intuitive) algorithm to solve this problem can be found online.

public class GCD{
	public static void main(String[] args) {
		int num1 = askForInt("Enter first Number: ");
		int num2 = askForInt("Enter second Number: ");
		int[] factors1 = findFactors(num1);
		int[] factors2 = findFactors(num2);

		int gcdValue = gcd(factors1, factors2);
		JOptionPane.showMessageDialog(null, "The greatest common divisor of " + num1 + " and  " + num2 + " is " + gcdValue);

		System.exit(0);
	}

	static int askForInt(String message){
		return Integer.parseInt(JOptionPane.showInputDialog(message));
	}

	static int[] findFactors(int num){
		//have a string to store factors in to later concatenate
		String factor = "1";	
			//check to see if it can be divided by any number that is less than it
		for (int i=2; i <= num; i++){
			if ((num%i) == 0){
					//if a number is divisible by any number less than it, the number which num is divisible by is a factor
				factor = factor + "," + i;
			}//end if
		}//end for

		String[] subFactor = factor.split(",");
		int factors[] = new int[subFactor.length];

		for(int i=0; i<subFactor.length; i++){
			factors[i] = Integer.parseInt(subFactor[i]);
		}
		return factors;
	}

	static int gcd(int[] nums1, int[] nums2){
		int greatest = 1;
		boolean breaker = false;
		if (nums1.length > nums2.length){
			for(int i = nums1.length - 1; i >= 0; i--){
				for(int j = nums2.length - 1; j>=0; j--){
					if(nums1[i] == nums2[j]){
						greatest = nums1[i];
						breaker = true;
						break;
					}
				}
				if(breaker){
					break;
				}
			}
		}else{
			for(int i = nums2.length -1; i >= 0; i--){
				for(int j = nums1.length - 1; j>=0; j--){
					if(nums2[i] == nums1[j]){
						greatest = nums2[i];
						breaker = true;
						break;
					}
				}
				if(breaker){
					break;
				}
			}
		}//enf if
		
		return greatest;
	}
}