import javax.swing.*;

public class HextoBin{ // good practice: using camel case, i.e. HexToBin
	public static void main(String[] args) {
		String num = askForString("Please enter a hexadecimal number: ");
		int bin = toBinary(hexToDecimal(num));
		JOptionPane.showMessageDialog(null, "Binary for " + num + " is : " + bin);
		System.exit(0);
	}

	// well done!
	static int hexToDecimal(String number){
		int num[] = new int[number.length()];
		int intNum = 0;
		for(int i=0; i < number.length(); i++){
			num[i] = decReturn(number.charAt(number.length() - i - 1));
			num[i] = raisePower(16, i) * num[i];
			intNum += num[i];
		}
		return intNum;
	}

	// same feedback on this methond as in Task 1
	static int toBinary(int num){
		String result ="";
		while (num > 0){
			if (num > 1){
				result = (num%2 + result);
				num = num/2;
			}else{
				result = (num + result);
				num = 0;
			}
		}

		return Integer.parseInt(result);
	}

	static int raisePower(int num, int power){
		int result = num;
		if(power > 0){
			for(int i=power; i > 1; i--){
				result *= num;
			}
		}else if(power == 0){
			result = 1;
		}else{
			result = -1;
		}
		return result;
	}//end raisepower

	// what about zero, which is a valid digit in hexadecimal?
	static int decReturn(char num){
		int retVal = 0;
		switch (num){
			case '1': retVal = 1;
					break;
			case '2': retVal = 2;
					break;
			case '3': retVal = 3;
					break;
			case '4': retVal = 4;
					break;
			case '5': retVal = 5;
					break;
			case '6': retVal = 6;
					break;
			case '7': retVal = 7;
					break;
			case '8': retVal = 8;
					break;
			case '9': retVal = 9;
					break;
			case 'a':
			case 'A': retVal = 10;
					break;
			case 'b':
			case 'B': retVal = 11;
					break;
			case 'c': 
			case 'C': retVal = 12;
					break;
			case 'd':
			case 'D': retVal = 13;
					break;
			case 'e':
			case 'E': retVal = 14;
					break;
			case 'f':
			case 'F': retVal = 15;
					break;
		}
		return retVal;
	}

	static String askForString(String message){
		return JOptionPane.showInputDialog(message);
	}
}