import javax.swing.*;

/*  I tested it, and the results are correct. Good job!
	I can see why you came up with a String and converted it into an array. 
	However, this could have been done way easier:
	- in every iteration, divide 1 by a value k
	- in the first iteration, k has the value 1
	- k changes to a positive value if it was a negative one in the prev. iteration and vice versa
	- the absolute value of k is increased by 2 in every iteration
*/

public class PiApprox{
	public static void main(String[] args) {
		//Get the number of odd numbers
		int approx = askForInt("How many odd numbers to be accurate by: ");
		int odds[] = oddCalculator(approx);

		//Start the coefficient
		double coeff = 0;
		
		for (int i = 0; i < odds.length; i++){
			if(i%2 == 0){
				coeff += ((double) 1/ (double) odds[i]);
			}else{
				coeff -= ((double) 1/ (double)odds[i]);
			}
		}//end for

		double pi = coeff * 4;
		JOptionPane.showMessageDialog(null, "The value of Pi approximate to "+ approx + " odd numbers is " + pi);
		System.exit(0);
	}//end main

	static int askForInt(String message){
		return Integer.parseInt(JOptionPane.showInputDialog(message));
	}

	static int[] oddCalculator(int count){
		//start counting at first odd number
		int num = 3;
		//have a string to store odd numbers in to later split
		String odd = "1";

		while (count > 1){
			if ((num%2) != 0){
				odd = odd + "," + num;
				count--;
			}//end if
			num++;
		}//end while

		//split odd numbers
		String[] subOdd = odd.split(",");
		//create odd numbers to return
		int odds[] = new int[subOdd.length];

		//store odd numbers in return variable
		for(int i=0; i<subOdd.length; i++){
			odds[i] = Integer.parseInt(subOdd[i]);
		}
		return odds;

	}//endoddCalculator
}