public class NumberTasks{
	public static void main(String[] args) {

		double a = 1.2; 
        double b = 3.0;
        double c = a * b;
        System.out.println(compareDouble(c,3.6,0.00001));
        System.out.println(c);

        int number1 = -200;
        int number2 = 2147483647;
        System.out.println("Safe to add: "+safeToAdd(number1, number2));
        number1 = -2;
        number2 = -2147483647;
		System.out.println("Safe to add: "+safeToAdd(number1, number2));
		
		
	}

	public static boolean safeToAdd(int a, int b){

		if(b >= 0){
			if(a > Integer.MAX_VALUE - b){ // a + b > max
				return false;
			}
		}else{
			if(a < Integer.MIN_VALUE - b){// a + b < min
				return false;
			} 
		}

		return true;
	}

	public static boolean compareDouble(double d1, double d2, double delta){
		return Math.abs(d1-d2) < delta;
	}
}