public class Singleton {
	static private Singleton unique = null;
	private int value = 0;
	
	private Singleton(){};
	
	static public Singleton getInstance(){
		if (unique == null){
			unique = new Singleton();
		}
		return unique;
	}
	
	public void setValue(int value){
		this.value = value; 
	}
	
	public int getValue(){
		return value;
	}
}
