public class Lifegame {

	public static void main(String[] args) throws InterruptedException {
		// create the graphic interface
		GUI gui = new GUI();	
		// create a random matrix in the beginning
		boolean matrix [][] = createRandomMatrix();		
		// initialize gui with random matrix
		gui.init(matrix);
		// wait for 3 seconds
		Thread.sleep(1000);	
		while (true){
			// calculate next step
			matrix = calculateNextStep(matrix);
			// display next step
			gui.show(matrix);
			Thread.sleep(20);
		}
	}
	
	/*
	This method creates a new 200 x 200 matrix of boolean values.
	Each element represents a cell either living (true) or dead (false).
	In the beginning, the likelihood a cell is living is 60%
	*/
	public static boolean [][] createRandomMatrix(){

	}
	
	/*
	This method calculates a new matrix out of an existing one applying the
	rules for the game of life.
	*/
	public static boolean [][] calculateNextStep(boolean [][] oldMatrix){

	}

	/*
	This helper method counts the number of neighbours for a given cell in
	a matrix. Keep in mind that each cell has eight neighbours, even if it is located
	at the border of the matrix (the matrix is a torus).
	*/	
	public static int countNeighbours(boolean [][] matrix, int i, int j){

	}	
	
}
