import org.junit.runner.JUnitCore;
import org.junit.runner.Result;
import org.junit.runner.notification.Failure;

public class TestRunner{
  public static void main(String[] args) {
  	// run the test class TestJUnit and retrieve result object
    Result result = JUnitCore.runClasses(ModularAssignmentLab.class);

    // go through failures in result object and print these out
    for (Failure failure : result.getFailures()) {
      System.out.println(failure.toString());
    }

    if(result.getFailures().size() == 0){
    	System.out.println("Great Job!!!");
    }
  }
}

