package mest.entity;

import java.net.URL;

/**class describing a premium theme that has to be purchased*/
public class PremiumTheme extends Theme{
	private double price;
	
	/**
	This constructor assigns the passed values to the object and creates a new uid,
	that is unique among all theme objects starting from 0..n.
	@param title of the theme
	@param url pointing to the css file for the theme
	@param price of the theme
	*/
	public PremiumTheme(String title, URL url, double price){
		super(title, url);
		this.price = price;
	}

	public double getPrice(){
	    return this.price;
	}

	public void setPrice(double price){
	    this.price = price;
	}
}