import java.util.*;
public class AccountLab{
	public static void main(String[] args) {

		GregorianCalendar endDate 
			= new GregorianCalendar(2014,9,9); 	
		FixedDepositAccount fixed 
			= new FixedDepositAccount("Alice Secure",
			"9988772", 200000d, 0.08, endDate);
		System.out.println(fixed);
		fixed.applyInterestRate();
		fixed.processTransfer(200);
		fixed.processTransfer(-500);
		System.out.println(fixed.getHistory());
		System.out.println();


		endDate = new GregorianCalendar(2012,11,31); 
		FixedDepositAccount anotherFixed 
			= new FixedDepositAccount("Carol Greedy",
			"9988772", 1000d, 0.08, endDate);
		anotherFixed.processTransfer(-500);
		anotherFixed.processTransfer(-501);
		System.out.println(anotherFixed);
		System.out.println(anotherFixed.getHistory());

		System.out.println();
		DebitAccount debit = new DebitAccount("Bob Spending",
			"123456", 500d, 0.015, 0.4, -1000d);
		System.out.println(debit);
		debit.applyInterestRate();
		debit.processTransfer(-1000d);
		debit.applyInterestRate();
		debit.processTransfer(-600d);
		System.out.println(debit.getHistory());
		System.out.println();

	}
}