package mest.bank;
import java.util.Arrays;
import mest.account.*;
public class Bank{
	
	//private int numberOfAccounts;
	private Account [] accounts;
	private int counter;

	// returns the number of accounts that this bank has
	public int getNumberOfAccounts(){
		return counter;
	}

	public Bank (int noAccounts){
		accounts = new Account[noAccounts];
		counter = 0;
		//numberOfAccounts = 0;
	}

	public void sortAccounts(){
		Arrays.sort(accounts,0,counter);
	}

	public void displayAllAccounts(){
		for(int i=0; i <counter;i++){
			System.out.println("Account Number "+
				accounts[i].getAccountNumber()
				+" Amount: "+accounts[i].getAmount());
		}
	}

	public boolean insertAccount(Account account){
		if(counter<accounts.length){
			accounts[counter] = account;
			counter++;
			//numberOfAccounts++;
			return true;
		}else{
			return false;
		}
	}

	public void getAccount(String accountNumber)
	{
		for(int i = 0; i < counter; i++){
			if((accounts[i].getAccountNumber()).equals(accountNumber)){
				System.out.println(accounts[i]);
				//System.out.println(accounts[i].toString());
				return;
			}
		}
		System.out.println("Account not found.");
	}
}