public class MyTime{
	
	private int hours;
	private int minutes;
	private int seconds;

	public MyTime(int hours, int minutes, int seconds){
		this.hours = hours;
		this.minutes = minutes;
		this.seconds = seconds;
	}

	public void advance(int h, int m, int s){
		
		seconds = (seconds + s) % 60;
		minutes += s / 60 + m;
		minutes = minutes % 60;
		hours += m / 60 + h;
		hours = hours % 24;
	}

	public void reset(int h, int m, int s){
		if(0 <= h && h <= 23 && 0 <= m && h <= 59 && 0 <= s && s <= 59){
			hours = h;
			minutes = m;
			seconds = s;
		}else{
			System.out.println("Invalid Format");
		}
	}

	public String toString(){
		return "Hr: "+hours+" Min: "+minutes+" Sec: "+seconds;
	}

	public int getHours() {
	    return this.hours;
	}

	public void setHours(int hours) {
	    this.hours = hours;
	}

	public int getMinutes() {
	    return this.minutes;
	}

	public void setMinutes(int minutes) {
	    this.minutes = minutes;
	}

	public int getSeconds() {
	    return this.seconds;
	}

	public void setSeconds(int seconds) {
	    this.seconds = seconds;
	}

}