import java.util.ArrayList;
public class ListExample{
	public static void main(String[] args) {
		ArrayList ints = new ArrayList();
		for(int i = 0; i < 10; i++){
			ints.add(i+1);						
		}

		System.out.println("The List:");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		System.out.println("\nArrayList contains 5: "+ ints.contains(5));

		ints.remove(6); // removes element at this index
		System.out.println("\nThe List after applying remove(6):");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		ArrayList anotherInts = new ArrayList();
		anotherInts.add(5);
		anotherInts.add(10);
		ints.addAll(anotherInts);
		
		System.out.println("\nAfter addAll() (5,10):");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		ArrayList retainInts = new ArrayList();
		retainInts.add(10);
		retainInts.add(6);
		retainInts.add(1);
		retainInts.add(20);
		ints.retainAll(retainInts);

		System.out.println("\nAfter retainAll() (10,6,1,20): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		ArrayList removeInts = new ArrayList();
		removeInts.add(10);
		removeInts.add(5);
		removeInts.add(2);
		ints.removeAll(removeInts);

		System.out.println("\nAfter removeAll() (10,5,2): ");
		for (Object object : ints){
			System.out.print(object+" "); 
		}
		System.out.println();

		System.out.println("\nApplying sqrt:");
		for (Object a : ints){
			System.out.print(Math.sqrt((int)a)+" "); 
		}
		System.out.println();

	}
}