import java.util.ArrayList;
import java.util.Collection;

public class RandomAccessTest{
	public static void main(String[] args){

		ArrayList<String> fellows = new ArrayList<String>();
	
		fellows.add("Ben Sholes");

		fellows.add(0,"Nikunj Handa");
		fellows.add(0,"Falk Benke");
		fellows.add(1,"Brooke Cassoff");

		ArrayList<String> business = new ArrayList<String>();
		business.add("Theandra Sokolowski");
		business.add("Colin Casey");
		business.add("Anca Wade");

		fellows.addAll(business);

		for(String f : fellows){
			System.out.println(f); 
		}
		
		myGenericWayOfTreatingCollections(fellows);

	}

	static void myGenericWayOfTreatingCollections(Collection collection){

		// gather a list of all interfaces of the collection
		Class[] interfaces = collection.getClass().getInterfaces();
		boolean randomAccess = false;

		// iterate through all interfaces
		for(int i = 0; i<interfaces.length-1; i++){
			System.out.println(interfaces[i]);

			// it this the RandomAccess Interface?
			if(interfaces[i].getName().equals("java.util.RandomAccess")){
				System.out.println("Yayyy, random access!!!");
				randomAccess = true;
			}			
		}

		// adjust behavior depending on access type
		if(randomAccess){//..
		}
		else{//..
		}		 
	}
}