public class BubbleSort{
	public static void main(String[] args) {
		int[] field = {3,7,8,5,2,1,9,5,4};
		bubbleSort(field);
	}

	static void bubbleSort(int[] list){

		// outer loop: decrease unsorted area (from right to left)
		for(int i = list.length-1; i > 0; i--){
			boolean unchanged = true;
			System.out.println("i = "+i);
			Helper.printArray(list);
			// inner loop: greatest element in unsorted part moves out of unsorted area
			for(int j=0; j < i; j++){
				// switch currently considered element and right neighbour if they are not in ascending order
				if (list[j]>list[j+1]){
					int temp = list[j];
					list[j] = list[j+1];
					list[j+1] = temp;
					unchanged = false;
				}
				Helper.printArray(list);	
			}
			// abort sorting early in cases, where no change had to be done during one inner loop
			if(unchanged){
				break;
			}
		}		
	}
}