public class InsertionSort{

	public static void main(String[] args) {
		int [] field = {3,7,8,5,2,1,9,5,4};
		Helper.printArray(field);

		insertionSort(field);

		Helper.printArray(field);		
	}

	private static void insertionSort(int[] list){
		// outer loop: increase sorted area (left to right)
		for(int i = 1; i<list.length; i++){
			System.out.println("i = "+ i);
			Helper.printArray(list);

			// pick first element of unsorted area
			int valueToInsert = list[i];
			int holePosition = i;

			// create space to insert new element
			while(holePosition > 0 && 
				valueToInsert < list[holePosition -1]){
				
				list[holePosition] = list[holePosition-1];
				holePosition--;
				printArray(list,holePosition);
			}

			// insert first element of unsorted area into sorted area
			list[holePosition] = valueToInsert;

			Helper.printArray(list);
		}
	}


	// helper method to print current list and hole (isertion sort)
	private static void printArray(int[] field, int holePosition){
		for(int i = 0; i < field.length; i++){
			if(i == holePosition) System.out.print("  H");
			else System.out.print("  "+field[i]);
		}
		System.out.println();
		System.out.println();
	}
}