public class SelectionSort{
	public static void main(String[] args) {
		int [] field = {3,7,8,5,2,1,9,5,4};
		Helper.printArray(field);

		selectionSort(field);

		Helper.printArray(field);	
	}

	static void selectionSort(int[] list){
		// outer loop: extend sorted area (from left to right)
		for(int i = 0; i < list.length-1; i++){
			System.out.println("i = "+i);
			Helper.printArray(list);
			int min = list[i];
			int minIndex = i;
			// find smallest element in unsorted area
			for(int j=i+1; j < list.length; j++){
				if (list[j]<min){
					min =list[j];
					minIndex = j;
				}
				printArray(list, minIndex);
			}
			// switch first and smallest element in unsorted area
			list[minIndex] = list[i];
			list[i] = min;
			Helper.printArray(list);
		}
	}

	// helper method to print current list and hole (isertion sort)
	private static void printArray(int[] field, int minimum){
		for(int i = 0; i < field.length; i++){
			if(i == minimum) System.out.print(" ("+field[i]+")");
			else System.out.print("  "+field[i]);
		}
		System.out.println();
		System.out.println();
	}
}