package mest.controller;

import mest.model.Dog;
import mest.model.DogManager;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import java.io.IOException;

public class AddDogServlet extends HttpServlet{


    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        req.getRequestDispatcher("/WEB-INF/add.html").forward(req, resp);
    }

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) 
		throws ServletException, IOException{

		String name = req.getParameter("name");
		String breed = req.getParameter("breed");
		boolean hungry = req.getParameter("hungry") == null ? false : true;
		boolean happy = req.getParameter("happy") == null ? false : true;
		boolean tired = req.getParameter("tired") == null ? false : true;

		Dog dog = new Dog(name, breed, hungry, happy, tired);
		DogManager.addDog(dog);
		resp.sendRedirect("/view");
	}
}