import javax.swing.*;

public class HexToBin{
	// 3900 > F3C
	// 6080 > 17C0
	// 64 > 40
	public static void main(String[] args) {
		String num = askForString("Please enter a hexadecimal number: ");
		String bin = Binary.toBinary(hexToDecimal(num));
		JOptionPane.showMessageDialog(null, "Binary for " + num + " is : " + bin);
		System.exit(0);
	}

	static int hexToDecimal(String number){
		int num[] = new int[number.length()];
		int intNum = 0;
		for(int i=0; i < number.length(); i++){
			num[i] = decReturn(number.charAt(number.length() - i - 1));
			num[i] = raisePower(16, i) * num[i];
			intNum += num[i];
		}
		System.out.println("Decimal Result: " + intNum);
		return intNum;
	}

	static int raisePower(int num, int power){
		int result = num;
		if(power > 0){
			for(int i=power; i > 1; i--){
				result *= num;
			}
		}else if(power == 0){
			result = 1;
		}else{
			result = -1;
		}
		return result;
	}

	static int decReturn(char num){
		int retVal = 0;
		switch (num){
			case '0': retVal = 0;
					break;
			case '1': retVal = 1;
					break;
			case '2': retVal = 2;
					break;
			case '3': retVal = 3;
					break;
			case '4': retVal = 4;
					break;
			case '5': retVal = 5;
					break;
			case '6': retVal = 6;
					break;
			case '7': retVal = 7;
					break;
			case '8': retVal = 8;
					break;
			case '9': retVal = 9;
					break;
			case 'a':
			case 'A': retVal = 10;
					break;
			case 'b':
			case 'B': retVal = 11;
					break;
			case 'c': 
			case 'C': retVal = 12;
					break;
			case 'd':
			case 'D': retVal = 13;
					break;
			case 'e':
			case 'E': retVal = 14;
					break;
			case 'f':
			case 'F': retVal = 15;
					break;
		}
		return retVal;
	}

	static String askForString(String message){
		return JOptionPane.showInputDialog(message);
	}
}